{% extends "admin/base.html" %}
{% block content %}
<div class="content container-fluid">
<div class="row">
 <div class="col-sm-8">
   <h4 class="page-title">Imports</h4>
 </div>
 <div class="col-sm-4 text-right m-b-30">
   {% if current_user.role.permissions.create_inventory == True %}<a href="{{ url_for('main.create_import') }}" class="btn btn-primary rounded"><i class="fa fa-plus"></i> Add import</a>{% endif %}
 </div>
</div>
<div class="row">
 <div class="col-md-12">
   <div class="table-responsive" id="alert">
     <table id="newtab" class="table table-striped custom-table datatable">
       <thead>
         <tr>
           <th>#</th>
           <th>Client name</th>
           <th>Make</th>
           <th>Model</th>
           <th>Year</th>
           <th>Color</th>
           <th>Transmission</th>
           <th>Engine capacity</th>
           <th>Budget</th>
           <th>Special features</th>
           <th class="text-right">Action</th>
         </tr>
       </thead>
       <tbody id="tab">
         {% for import in imports %}

         <tr id='del{{ import.id }}'>
           <td>{{ loop.index }}</td>
            <td>{{ import.client.client_name }}</td>
           <td>{{ import.vehicle.make }}</td>
           <td>{{ import.vehicle.model }}</td>
           <td>{{ import.vehicle.year }}</td>
           <td>{{ import.color }}</td>
           <td>{{ import.transmission }}</td>
           <td>{{ import.engine }}</td>
           <td>{{ "%.2f"|format(import.budget)  }}</td>
           <td>{{ import.special_features }}</td>
           <td class="text-right">
             <div class="dropdown">
               <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
               <ul class="dropdown-menu pull-right">
                 {% if current_user.role.permissions.write_inventory == True %}<li><a href="{{ url_for('main.edit_import', id=import.id) }}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
                 {% if current_user.role.permissions.delete_inventory == True %}<li><a href="#" onclick="delete_row('{{ import.id }}','Import', '#del{{ import.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li> {% endif %}
               </ul>
             </div>
           </td>
         </tr>

          {% endfor %}
      </tbody>

     </table>
   </div>
 </div>
</div>
     </div>
{% endblock %}
